Bug 161731 - glibc detected realloc(): invalid next size
glibc detected realloc(): invalid next size
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-26 14:10 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 22:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-06-26 14:10:22 EDT
Description of problem:
When doing a "save as" on an email message.

*** glibc detected *** /usr/lib/thunderbird-1.0.2/thunderbird-bin: realloc(): in
valid next size: 0x097b8600 ***


Version-Release number of selected component (if applicable):
thunderbird-1.0.2-7
glibc-2.3.5-11

How reproducible:
not able to reproduce

Steps to Reproduce:
1.reading imap email on a remote system with X remoted via "ssh -CY"
2.do a "save as" on an email
3.
  
Actual results:
*** glibc detected *** /usr/lib/thunderbird-1.0.2/thunderbird-bin: realloc(): in
valid next size: 0x097b8600 ***
======= Backtrace: =========
/lib/libc.so.6[0x9dc2a5]
/lib/libc.so.6(__libc_realloc+0x101)[0x9dcc90]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_xdg_alias_read_from_file+0x170)[0x5cfbc55 ]
/usr/lib/libgnomevfs-2.so.0[0x5cfaf4e]
/usr/lib/libgnomevfs-2.so.0[0x5cfa5f4]
/usr/lib/libgnomevfs-2.so.0[0x5cfa7a3]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_xdg_get_mime_type_from_file_name+0x17)[0x
5cfaa28]
/usr/lib/libgnomevfs-2.so.0(gnome_vfs_mime_type_from_name_or_default+0xc7)[0x5ce
392a]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_get_mime_type_internal+0x19a)[0x5ce3b85]
/usr/lib/libgnomevfs-2.so.0[0x5ce4547]
/usr/lib/gnome-vfs-2.0/modules/libfile.so[0x3524875]
/usr/lib/gnome-vfs-2.0/modules/libfile.so[0x352671a]
/usr/lib/libgnomevfs-2.so.0(gnome_vfs_directory_read_next_cancellable+0x50)[0x5c
d5cb4]
/usr/lib/libgnomevfs-2.so.0(_gnome_vfs_job_execute+0x5d5)[0x5cdd150]
/usr/lib/libgnomevfs-2.so.0[0x5cdc083]
/usr/lib/libgnomevfs-2.so.0[0x5ced1f3]
/usr/lib/libglib-2.0.so.0[0x140dfa]
/lib/libpthread.so.0[0xbbfb80]
/lib/libc.so.6(__clone+0x5e)[0xa41d4e]
======= Memory map: ========
00101000-00187000 r-xp 00000000 03:02 342981     /usr/lib/libglib-2.0.so.0.700.0
00187000-0018c000 rwxp 00085000 03:02 342981     /usr/lib/libglib-2.0.so.0.700.0
0018c000-0018e000 r-xp 00000000 03:02 364794     /usr/lib/thunderbird-1.0.2/libp
lds4.so
0018e000-0018f000 rwxp 00002000 03:02 364794     /usr/lib/thunderbird-1.0.2/libp
lds4.so
0018f000-00193000 r-xp 00000000 03:02 364793     /usr/lib/thunderbird-1.0.2/libp
lc4.so
00193000-00194000 rwxp 00003000 03:02 364793     /usr/lib/thunderbird-1.0.2/libp
lc4.so
00194000-00195000 r-xp 00000000 03:02 494988     /usr/X11R6/lib/X11/locale/lib/c
ommon/xlcUTF8Load.so.2
00195000-00196000 rwxp 00000000 03:02 494988     /usr/X11R6/lib/X11/locale/lib/c
ommon/xlcUTF8Load.so.2
00196000-0019f000 r-xp 00000000 03:02 1714126    /lib/libnss_files-2.3.5.so
0019f000-001a0000 r-xp 00008000 03:02 1714126    /lib/libnss_files-2.3.5.so
001a0000-001a1000 rwxp 00009000 03:02 1714126    /lib/libnss_files-2.3.5.so
001a1000-001a2000 r-xp 00000000 03:02 555113     /usr/lib/gconv/ISO8859-1.so
001a2000-001a4000 rwxp 00000000 03:02 555113     /usr/lib/gconv/ISO8859-1.so
001a4000-001a8000 r-xp 00000000 03:02 364786     /usr/lib/thunderbird-1.0.2/libg
tkxtbin.so
001a8000-001a9000 rwxp 00003000 03:02 364786     /usr/lib/thunderbird-1.0.2/libg
tkxtbin.so
001a9000-001ab000 r-xp 00000000 03:02 1714515    /lib/libcom_err.so.2.1
001ab000-001ac000 rwxp 00001000 03:02 1714515    /lib/libcom_err.so.2.1
001ac000-001ae000 r-xp 00000000 03:02 946677     /usr/lib/pango/1.4.0/modules/pa
ngo-basic-fc.so
001ae000-001af000 rwxp 00001000 03:02 946677     /usr/lib/pango/1.4.0/modules/pa
ngo-basic-fc.so
001af000-001e9000 r-xp 00000000 03:02 344586     /usr/lib/libgobject-2.0.so.0.70 0.0
001e9000-001ed000 rwxp 0003a000 03:02 344586     /usr/lib/libgobject-2.0.so.0.70 0.0
001ef000-001f2000 r-xp 00000000 03:02 344699     /usr/lib/libgmodule-2.0.so.0.70 0.0
001f2000-001f3000 rwxp 00002000 03:02 344699     /usr/lib/libgmodule-2.0.so.0.70 0.0
001f3000-0020c000 r-xp 00000000 03:02 364620     /usr/lib/thunderbird-1.0.2/comp
onents/libpref.so
0020c000-0020d000 rwxp 00019000 03:02 364620     /usr/lib/thunderbird-1.0.2/comp
onents/libpref.so
0020d000-00230000 r-xp 00000000 03:02 343772     /usr/lib/libpng12.so.0.1.2.8
00230000-00231000 rwxp 00023000 03:02 343772     /usr/lib/libpng12.so.0.1.2.8
00231000-00265000 r-xp 00000000 03:02 364790     /usr/lib/thunderbird-1.0.2/libn
spr4.so
00265000-00267000 rwxp 00034000 03:02 364790     /usr/lib/thunderbird-1.0.2/libn
spr4.so
00267000-00268000 rwxp 00267000 00:00 0
00268000-00285000 r-xp 00000000 03:02 344912     /usr/lib/libexpat.so.0.5.0
00285000-00287000 rwxp 0001c000 03:02 344912     /usr/lib/libexpat.so.0.5.0
00287000-002c0000 r-xp 00000000 03:02 364616     /usr/lib/thunderbird-1.0.2/comp
onents/libnsappshell.so
002c0000-002c2000 rwxp 00038000 03:02 364616     /usr/lib/thunderbird-1.0.2/comp
onents/libnsappshell.so
002c2000-002c8000 r-xp 00000000 03:02 1893573    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-xpm.so
002c8000-002c9000 rwxp 00005000 03:02 1893573    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-xpm.so
002c9000-002d0000 r-xp 00000000 03:02 345396     /usr/lib/libpopt.so.0.0.0
002d0000-002d1000 rwxp 00006000 03:02 345396     /usr/lib/libpopt.so.0.0.0
002d2000-002d8000 r-xp 00000000 03:02 344701     /usr/lib/libpangoxft-1.0.so.0.9
00.0
002d8000-002d9000 rwxp 00006000 03:02 344701     /usr/lib/libpangoxft-1.0.so.0.9
00.0
002db000-002e1000 r-xp 00000000 03:02 342829     /usr/lib/libpangocairo-1.0.so.0
.900.0
002e1000-002e2000 rwxp 00005000 03:02 342829     /usr/lib/libpangocairo-1.0.so.0
.900.0
002e2000-002e6000 r-xp 00000000 03:02 345860     /usr/lib/libORBitCosNaming-2.so
.0.0.0
002e6000-002e7000 rwxp 00004000 03:02 345860     /usr/lib/libORBitCosNaming-2.so
.0.0.0
002ea000-002f1000 r-xp 00000000 03:02 1814204    /usr/X11R6/lib/libXi.so.6.0
002f1000-002f2000 rwxp 00006000 03:02 1814204    /usr/X11R6/lib/libXi.so.6.0
002f4000-002f6000 r-xp 00000000 03:02 344738     /usr/lib/libkrb5support.so.0.0
002f6000-002f7000 rwxp 00001000 03:02 344738     /usr/lib/libkrb5support.so.0.0
002f9000-0030e000 r-xp 00000000 03:02 344164     /usr/lib/libgdk_pixbuf-2.0.so.0
.700.0
0030e000-00310000 rwxp 00014000 03:02 344164     /usr/lib/libgdk_pixbuf-2.0.so.0
.700.0
00312000-00339000 r-xp 00000000 03:02 344549     /usr/lib/libpangoft2-1.0.so.0.9
00.0
00339000-0033b000 rwxp 00026000 03:02 344549     /usr/lib/libpangoft2-1.0.so.0.9
00.0
0033d000-00347000 r-xp 00000000 03:02 345001     /usr/lib/libpangox-1.0.so.0.900 .0
00347000-00348000 rwxp 0000a000 03:02 345001     /usr/lib/libpangox-1.0.so.0.900 .0
00348000-00369000 r-xp 00000000 03:02 364568     /usr/lib/thunderbird-1.0.2/comp
onents/libcaps.so
00369000-0036a000 rwxp 00021000 03:02 364568     /usr/lib/thunderbird-1.0.2/comp
onents/libcaps.so
0036d000-003ee000 r-xp 00000000 03:02 364789     /usr/lib/thunderbird-1.0.2/libm
ozjs.so
003ee000-003f2000 rwxp 00081000 03:02 364789     /usr/lib/thunderbird-1.0.2/libm
ozjs.so
003f2000-00425000 r-xp 00000000 03:02 364783     /usr/lib/thunderbird-1.0.2/libg
kgfx.so
00425000-00427000 rwxp 00032000 03:02 364783     /usr/lib/thunderbird-1.0.2/libg
kgfx.so
00427000-00478000 r-xp 00000000 03:02 364573     /usr/lib/thunderbird-1.0.2/comp
onents/libembedcomponents.so
00478000-0047a000 rwxp 00051000 03:02 364573     /usr/lib/thunderbird-1.0.2/comp
onents/libembedcomponents.so
0047a000-00491000 r-xp 00000000 03:02 345328     /usr/lib/libgssapi_krb5.so.2.2
00491000-00492000 rwxp 00017000 03:02 345328     /usr/lib/libgssapi_krb5.so.2.2
00493000-00497000 r-xp 00000000 03:02 1814347    /usr/X11R6/lib/libXfixes.so.3.0
00497000-00498000 rwxp 00003000 03:02 1814347    /usr/X11R6/lib/libXfixes.so.3.0
0049a000-004d0000 r-xp 00000000 03:02 344754     /usr/lib/libpango-1.0.so.0.900. 0
004d0000-004d3000 rwxp 00036000 03:02 344754     /usr/lib/libpango-1.0.so.0.900. 0
004d5000-004fe000 r-xp 00000000 03:02 342793     /usr/lib/libcairo.so.1.0.0
004fe000-004ff000 rwxp 00028000 03:02 342793     /usr/lib/libcairo.so.1.0.0
004ff000-0055b000 r-xp 00000000 03:02 364632     /usr/lib/thunderbird-1.0.2/comp
onents/libxpconnect.so
0055b000-0055f000 rwxp 0005c000 03:02 364632     /usr/lib/thunderbird-1.0.2/comp
onents/libxpconnect.so
0055f000-00564000 r-xp 00000000 03:02 364596     /usr/lib/thunderbird-1.0.2/comp
onents/libmozgnome.so
00564000-00565000 rwxp 00005000 03:02 364596     /usr/lib/thunderbird-1.0.2/comp
onents/libmozgnome.so
00566000-0057a000 r-xp 00000000 03:02 345177     /usr/lib/libatk-1.0.so.0.901.0
0057a000-0057d000 rwxp 00014000 03:02 345177     /usr/lib/libatk-1.0.so.0.901.0
0057f000-00607000 r-xp 00000000 03:02 342964     /usr/lib/libgdk-x11-2.0.so.0.70 0.0
00607000-0060e000 rwxp 00088000 03:02 342964     /usr/lib/libgdk-x11-2.0.so.0.70 0.0
0060e000-00720000 r-xp 00000000 03:02 364801     /usr/lib/thunderbird-1.0.2/libx
pcom.so
00720000-0072a000 rwxp 00111000 03:02 364801     /usr/lib/thunderbird-1.0.2/libx
pcom.so
0072a000-0081d000 r-xp 00000000 03:02 364600     /usr/lib/thunderbird-1.0.2/comp
onents/libnecko.so
0081d000-00825000 rwxp 000f2000 03:02 364600     /usr/lib/thunderbird-1.0.2/comp
onents/libnecko.so
00825000-00871000 r-xp 00000000 03:02 364581     /usr/lib/thunderbird-1.0.2/comp
onents/libi18n.so
00871000-00874000 rwxp 0004c000 03:02 364581     /usr/lib/thunderbird-1.0.2/comp
onents/libi18n.so
00877000-0088e000 r-xp 00000000 03:02 345128     /usr/lib/libpixman.so.1.0.0
0088e000-0088f000 rwxp 00016000 03:02 345128     /usr/lib/libpixman.so.1.0.0
0088f000-008c4000 r-xp 00000000 03:02 1714517    /lib/libssl.so.0.9.7f
008c4000-008c7000 rwxp 00035000 03:02 1714517    /lib/libssl.so.0.9.7f
008cb000-008dc000 r-xp 00000000 03:02 346003     /usr/lib/libbonobo-activation.s
o.4.0.0
008dc000-008df000 rwxp 00010000 03:02 346003     /usr/lib/libbonobo-activation.s
o.4.0.0
008df000-008e7000 r-xp 00000000 03:02 1714523    /lib/librt-2.3.5.so
008e7000-008e8000 r-xp 00007000 03:02 1714523    /lib/librt-2.3.5.so
008e8000-008e9000 rwxp 00008000 03:02 1714523    /lib/librt-2.3.5.so
008e9000-008f3000 rwxp 008e9000 00:00 0
008f3000-008f7000 r-xp 00000000 03:02 344005     /usr/lib/libgthread-2.0.so.0.70 0.0
008f7000-008f8000 rwxp 00003000 03:02 344005     /usr/lib/libgthread-2.0.so.0.70 0.0
008fa000-0094c000 r-xp 00000000 03:02 1814351    /usr/X11R6/lib/libXt.so.6.0
0094c000-00950000 rwxp 00052000 03:02 1814351    /usr/X11R6/lib/libXt.so.6.0
00950000-00957000 r-xp 00000000 03:02 364623     /usr/lib/thunderbird-1.0.2/comp
onents/libtxmgr.so
00957000-00958000 rwxp 00007000 03:02 364623     /usr/lib/thunderbird-1.0.2/comp
onents/libtxmgr.so
00959000-00973000 r-xp 00000000 03:02 1713904    /lib/ld-2.3.5.so
00973000-00974000 r-xp 00019000 03:02 1713904    /lib/ld-2.3.5.so
00974000-00975000 rwxp 0001a000 03:02 1713904    /lib/ld-2.3.5.so
00977000-00a9b000 r-xp 00000000 03:02 1714022    /lib/libc-2.3.5.so
00a9b000-00a9d000 r-xp 00124000 03:02 1714022    /lib/libc-2.3.5.so
00a9d000-00a9f000 rwxp 00126000 03:02 1714022    /lib/libc-2.3.5.so
00a9f000-00aa1000 rwxp 00a9f000 00:00 0
00aa3000-00ac5000 r-xp 00000000 03:02 1714042    /lib/libm-2.3.5.so
00ac5000-00ac6000 r-xp 00021000 03:02 1714042    /lib/libm-2.3.5.so
00ac6000-00ac7000 rwxp 00022000 03:02 1714042    /lib/libm-2.3.5.so
00ac9000-00acb000 r-xp 00000000 03:02 1714107    /lib/libdl-2.3.5.so
00acb000-00acc000 r-xp 00001000 03:02 1714107    /lib/libdl-2.3.5.so
00acc000-00acd000 rwxp 00002000 03:02 1714107    /lib/libdl-2.3.5.so
00acf000-00ae1000 r-xp 00000000 03:02 344789     /usr/lib/libz.so.1.2.2.2
00ae1000-00ae2000 rwxp 00011000 03:02 344789     /usr/lib/libz.so.1.2.2.2
00ae4000-00bb4000 r-xp 00000000 03:02 1813609    /usr/X11R6/lib/libX11.so.6.2
00bb4000-00bb8000 rwxp 000cf000 03:02 1813609    /usr/X11R6/lib/libX11.so.6.2
00bba000-00bc8000 r-xp 00000000 03:02 1714043    /lib/libpthread-2.3.5.so
00bc8000-00bc9000 r-xp 0000d000 03:02 1714043    /lib/libpthread-2.3.5.so
00bc9000-00bca000 rwxp 0000e000 03:02 1714043    /lib/libpthread-2.3.5.so
00bca000-00bcc000 rwxp 00bca000 00:00 0
00bce000-00bdc000 r-xp 00000000 03:02 1814025    /usr/X11R6/lib/libXext.so.6.4
00bdc000-00bdd000 rwxp 0000e000 03:02 1814025    /usr/X11R6/lib/libXext.so.6.4
00bdf000-00be7000 r-xp 00000000 03:02 1814350    /usr/X11R6/lib/libSM.so.6.0
00be7000-00be8000 rwxp 00007000 03:02 1814350    /usr/X11R6/lib/libSM.so.6.0
00be8000-00bf5000 r-xp 00000000 03:02 364617     /usr/lib/thunderbird-1.0.2/comp
onents/libpipboot.so
00bf5000-00bf6000 rwxp 0000d000 03:02 364617     /usr/lib/thunderbird-1.0.2/comp
onents/libpipboot.so
00bf6000-00bfa000 r-xp 00000000 03:02 1714123    /lib/libnss_dns-2.3.5.so
00bfa000-00bfb000 r-xp 00003000 03:02 1714123    /lib/libnss_dns-2.3.5.so
00bfb000-00bfc000 rwxp 00004000 03:02 1714123    /lib/libnss_dns-2.3.5.so
00bff000-00c00000 r-xp 00bff000 00:00 0
00c00000-00c09000 r-xp 00000000 03:02 364631     /usr/lib/thunderbird-1.0.2/comp
onents/libxpcom_compat_c.so
00c09000-00c0a000 rwxp 00008000 03:02 364631     /usr/lib/thunderbird-1.0.2/comp
onents/libxpcom_compat_c.so
00c0b000-00c22000 r-xp 00000000 03:02 1814349    /usr/X11R6/lib/libICE.so.6.3
00c22000-00c23000 rwxp 00016000 03:02 1814349    /usr/X11R6/lib/libICE.so.6.3
00c23000-00c25000 rwxp 00c23000 00:00 0
00c27000-00c88000 r-xp 00000000 03:02 344838     /usr/lib/libfreetype.so.6.3.7
00c88000-00c8f000 rwxp 00061000 03:02 344838     /usr/lib/libfreetype.so.6.3.7
00c91000-00ca0000 r-xp 00000000 03:02 1714127    /lib/libresolv-2.3.5.so
00ca0000-00ca1000 r-xp 0000e000 03:02 1714127    /lib/libresolv-2.3.5.so
00ca1000-00ca2000 rwxp 0000f000 03:02 1714127    /lib/libresolv-2.3.5.so
00ca2000-00ca4000 rwxp 00ca2000 00:00 0
00ca6000-00ccc000 r-xp 00000000 03:02 344975     /usr/lib/libfontconfig.so.1.0.4
00ccc000-00ccf000 rwxp 00026000 03:02 344975     /usr/lib/libfontconfig.so.1.0.4
00ccf000-00cd0000 rwxp 00ccf000 00:00 0
00cd2000-00cd9000 r-xp 00000000 03:02 1814069    /usr/X11R6/lib/libXrender.so.1. 2.2
00cd9000-00cda000 rwxp 00007000 03:02 1814069    /usr/X11R6/lib/libXrender.so.1. 2.2
00cdc000-00cde000 r-xp 00000000 03:02 1814247    /usr/X11R6/lib/libXinerama.so.1 .0
00cde000-00cdf000 rwxp 00001000 03:02 1814247    /usr/X11R6/lib/libXinerama.so.1 .0
00ce1000-00cea000 r-xp 00000000 03:02 1713694    /lib/libgcc_s-4.0.0-20050622.so .1
00cea000-00ceb000 rwxp 00009000 03:02 1713694    /lib/libgcc_s-4.0.0-20050622.so .1
00ced000-00cf6000 r-xp 00000000 03:02 1814348    /usr/X11R6/lib/libXcursor.so.1. 0.2
00cf6000-00cf7000 rwxp 00008000 03:02 1814348    /usr/X11R6/lib/libXcursor.so.1. 0.2
00cf9000-00cfc000 r-xp 00000000 03:02 1814148    /usr/X11R6/lib/libXrandr.so.2.0
00cfc000-00cfd000 rwxp 00002000 03:02 1814148    /usr/X11R6/lib/libXrandr.so.2.0
00cff000-00d11000 r-xp 00000000 03:02 1814297    /usr/X11R6/lib/libXft.so.2.1.2
00d11000-00d12000 rwxp 00012000 03:02 1814297    /usr/X11R6/lib/libXft.so.2.1.2
00d14000-00df4000 r-xp 00000000 03:02 343195     /usr/lib/libstdc++.so.6.0.5
00df4000-00df9000 rwxp 000e0000 03:02 343195     /usr/lib/libstdc++.so.6.0.5
00df9000-00dfe000 rwxp 00df9000 00:00 0
00dfe000-00e21000 r-xp 00000000 03:02 345323     /usr/lib/libk5crypto.so.3.0
00e21000-00e22000 rwxp 00023000 03:02 345323     /usr/lib/libk5crypto.so.3.0
00e22000-00e44000 r-xp 00000000 03:02 364582     /usr/lib/thunderbird-1.0.2/comp
onents/libimglib2.so
00e44000-00e45000 rwxp 00022000 03:02 364582     /usr/lib/thunderbird-1.0.2/comp
onents/libimglib2.so
00e45000-00e49000 r-xp 00000000 03:02 1893507    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-png.so
00e49000-00e4a000 rwxp 00003000 03:02 1893507    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-png.so
00e4d000-00e4f000 r-xp 00000000 03:02 555250     /usr/lib/gconv/UTF-16.so
00e4f000-00e51000 rwxp 00001000 03:02 555250     /usr/lib/gconv/UTF-16.so
00e56000-00e98000 r-xp 00000000 03:02 364629     /usr/lib/thunderbird-1.0.2/comp
onents/libwidget_gtk2.so
00e98000-00e9c000 rwxp 00041000 03:02 364629     /usr/lib/thunderbird-1.0.2/comp
onents/libwidget_gtk2.so
00e9c000-00f10000 r-xp 00000000 03:02 364575     /usr/lib/thunderbird-1.0.2/comp
onents/libgfx_gtk.so
00f10000-00f16000 rwxp 00074000 03:02 364575     /usr/lib/thunderbird-1.0.2/comp
onents/libgfx_gtk.so
00f16000-00f17000 rwxp 00f16000 00:00 0
00f17000-00f9a000 r-xp 00000000 03:02 364571     /usr/lib/thunderbird-1.0.2/comp
onents/libdocshell.so
00f9a000-00f9e000 rwxp 00082000 03:02 364571     /usr/lib/thunderbird-1.0.2/comp
onents/libdocshell.so
00f9e000-01096000 r-xp 00000000 03:02 1714516    /lib/libcrypto.so.0.9.7f
01096000-010a8000 rwxp 000f8000 03:02 1714516    /lib/libcrypto.so.0.9.7f
010a8000-010ab000 rwxp 010a8000 00:00 0
010ab000-010d2000 r-xp 00000000 03:02 364627     /usr/lib/thunderbird-1.0.2/comp
onents/libwebbrwsr.so
010d2000-010d4000 rwxp 00027000 03:02 364627     /usr/lib/thunderbird-1.0.2/comp
onents/libwebbrwsr.so
010d4000-010f9000 r-xp 00000000 03:02 364569     /usr/lib/thunderbird-1.0.2/comp
onents/libchrome.so
010f9000-010fa000 rwxp 00025000 03:02 364569     /usr/lib/thunderbird-1.0.2/comp
onents/libchrome.so
010fa000-01124000 r-xp 00000000 03:02 364625     /usr/lib/thunderbird-1.0.2/comp
onents/libwallet.so
01124000-01126000 rwxp 00029000 03:02 364625     /usr/lib/thunderbird-1.0.2/comp
onents/libwallet.so
01126000-0114b000 r-xp 00000000 03:02 364570     /usr/lib/thunderbird-1.0.2/comp
onents/libcomposer.so
0114b000-0114d000 rwxp 00024000 03:02 364570     /usr/lib/thunderbird-1.0.2/comp
onents/libcomposer.so
0114d000-01155000 r-xp 00000000 03:02 1893267    /usr/lib/gtk-2.0/2.4.0/filesyst
ems/libgnome-vfs.so
01155000-01156000 rwxp 00007000 03:02 1893267    /usr/lib/gtk-2.0/2.4.0/filesyst
ems/libgnome-vfs.so
01156000-011b3000 r-xp 00000000 03:02 343928     /usr/lib/libbonoboui-2.so.0.0.0
011b3000-011ba000 rwxp 0005d000 03:02 343928     /usr/lib/libbonoboui-2.so.0.0.0
011bc000-012d0000 r-xp 00000000 03:02 364572     /usr/lib/thunderbird-1.0.2/comp
onents/libeditor.so
012d0000-012d4000 rwxp 00114000 03:02 364572     /usr/lib/thunderbird-1.0.2/comp
onents/libeditor.so
012d4000-012fa000 r-xp 00000000 03:02 343879     /usr/lib/libgnomecanvas-2.so.0.
1000.0
012fa000-012fd000 rwxp 00025000 03:02 343879     /usr/lib/libgnomecanvas-2.so.0.
1000.0
01518000-0155c000 r-xp 00000000 03:02 364588     /usr/lib/thunderbird-1.0.2/comp
onents/libmork.so
0155c000-0155f000 rwxp 00044000 03:02 364588     /usr/lib/thunderbird-1.0.2/comp
onents/libmork.so
017a2000-017d4000 r-xp 00000000 03:02 364567     /usr/lib/thunderbird-1.0.2/comp
onents/libappcomps.so
017d4000-017d6000 rwxp 00031000 03:02 364567     /usr/lib/thunderbird-1.0.2/comp
onents/libappcomps.so
01836000-01842000 r-xp 00000000 03:02 364598     /usr/lib/thunderbird-1.0.2/comp
onents/libmsgsmime.so
01842000-01843000 rwxp 0000b000 03:02 364598     /usr/lib/thunderbird-1.0.2/comp
onents/libmsgsmime.so
019aa000-019cc000 r-xp 00000000 03:02 364587     /usr/lib/thunderbird-1.0.2/comp
onents/libmailcomps.so
019cc000-019cd000 rwxp 00022000 03:02 364587     /usr/lib/thunderbird-1.0.2/comp
onents/libmailcomps.so
01b61000-01b7f000 r-xp 00000000 03:02 345344     /usr/lib/libjpeg.so.62.0.0
01b7f000-01b80000 rwxp 0001d000 03:02 345344     /usr/lib/libjpeg.so.62.0.0
0204e000-020d6000 r-xp 00000000 03:02 343974     /usr/lib/libgnomeui-2.so.0.1000 .0
020d6000-020dd000 rwxp 00088000 03:02 343974     /usr/lib/libgnomeui-2.so.0.1000 .0
0275e000-02783000 r-xp 00000000 03:02 364802     /usr/lib/thunderbird-1.0.2/libx
pcom_compat.so
02783000-02785000 rwxp 00024000 03:02 364802     /usr/lib/thunderbird-1.0.2/libx
pcom_compat.so
0280d000-02815000 r-xp 00000000 03:02 346244     /usr/lib/libgnome-keyring.so.0. 0.1
02815000-02816000 rwxp 00007000 03:02 346244     /usr/lib/libgnome-keyring.so.0. 0.1
03107000-03176000 r-xp 00000000 03:02 345325     /usr/lib/libkrb5.so.3.2
03176000-03179000 rwxp 0006e000 03:02 345325     /usr/lib/libkrb5.so.3.2
0325a000-0329a000 r-xp 00000000 03:02 364621     /usr/lib/thunderbird-1.0.2/comp
onents/librdf.so
0329a000-0329c000 rwxp 00040000 03:02 364621     /usr/lib/thunderbird-1.0.2/comp
onents/librdf.so
03522000-03529000 r-xp 00000000 03:02 1207714    /usr/lib/gnome-vfs-2.0/modules/
libfile.so
03529000-0352a000 rwxp 00006000 03:02 1207714    /usr/lib/gnome-vfs-2.0/modules/
libfile.so
03701000-03716000 r-xp 00000000 03:02 344741     /usr/lib/libart_lgpl_2.so.2.3.1 7
03716000-03717000 rwxp 00014000 03:02 344741     /usr/lib/libart_lgpl_2.so.2.3.1 7
03883000-0388f000 r-xp 00000000 03:02 364635     /usr/lib/thunderbird-1.0.2/comp
onents/libxremoteservice.so
0388f000-03890000 rwxp 0000c000 03:02 364635     /usr/lib/thunderbird-1.0.2/comp
onents/libxremoteservice.so
03aba000-03aca000 r-xp 00000000 03:02 364584     /usr/lib/thunderbird-1.0.2/comp
onents/libjar50.so
03aca000-03acb000 rwxp 0000f000 03:02 364584     /usr/lib/thunderbird-1.0.2/comp
onents/libjar50.so
0460e000-04675000 r-xp 00000000 03:02 364580     /usr/lib/thunderbird-1.0.2/comp
onents/libhtmlpars.so
04675000-0467a000 rwxp 00067000 03:02 364580     /usr/lib/thunderbird-1.0.2/comp
onents/libhtmlpars.so
04747000-04d47000 r-xp 00000000 03:02 364578     /usr/lib/thunderbird-1.0.2/comp
onents/libgklayout.so
04d47000-04d88000 rwxp 00600000 03:02 364578     /usr/lib/thunderbird-1.0.2/comp
onents/libgklayout.so
04d88000-04d8e000 rwxp 04d88000 00:00 0
0503d000-05468000 r-xp 00000000 03:02 364586     /usr/lib/thunderbird-1.0.2/comp
onents/libmail.so
05468000-05484000 rwxp 0042a000 03:02 364586     /usr/lib/thunderbird-1.0.2/comp
onents/libmail.so
05484000-05485000 rwxp 05484000 00:00 0
05c20000-05c6b000 r-xp 00000000 03:02 345707     /usr/lib/libORBit-2.so.0.0.0
05c6b000-05c78000 rwxp 0004a000 03:02 345707     /usr/lib/libORBit-2.so.0.0.0
05c7a000-05caa000 r-xp 00000000 03:02 345812     /usr/lib/libgconf-2.so.4.1.0
05caa000-05caf000 rwxp 0002f000 03:02 345812     /usr/lib/libgconf-2.so.4.1.0
05cb1000-05d0f000 r-xp 00000000 03:02 346054     /usr/lib/libgnomevfs-2.so.0.100 0.0
05d0f000-05d17000 rwxp 0005d000 03:02 346054     /usr/lib/libgnomevfs-2.so.0.100 0.0
05d19000-05d65000 r-xp 00000000 03:02 346005     /usr/lib/libbonobo-2.so.0.0.0
05d65000-05d6f000 rwxp 0004b000 03:02 346005     /usr/lib/libbonobo-2.so.0.0.0
05d71000-05d84000 r-xp 00000000 03:02 346109     /usr/lib/libgnome-2.so.0.1000.0
05d84000-05d85000 rwxp 00013000 03:02 346109     /usr/lib/libgnome-2.so.0.1000.0
05d8c000-05da1000 r-xp 00000000 03:02 346018     /usr/lib/libhowl.so.0.0.0
05da1000-05da3000 rwxp 00014000 03:02 346018     /usr/lib/libhowl.so.0.0.0
05da3000-05eb5000 rwxp 05da3000 00:00 0
0614a000-06217000 r-xp 00000000 03:02 364624     /usr/lib/thunderbird-1.0.2/comp
onents/libuconv.so
06217000-0621e000 rwxp 000cd000 03:02 364624     /usr/lib/thunderbird-1.0.2/comp
onents/libuconv.so
0621e000-06228000 rwxp 0621e000 00:00 0
0678e000-06898000 r-xp 00000000 03:02 346010     /usr/lib/libxml2.so.2.6.19
06898000-068a0000 rwxp 00109000 03:02 346010     /usr/lib/libxml2.so.2.6.19
068a0000-068a1000 rwxp 068a0000 00:00 0
06c0f000-06ccc000 r-xp 00000000 03:02 1714545    /lib/libasound.so.2.0.0
06ccc000-06cda000 rwxp 000bd000 03:02 1714545    /lib/libasound.so.2.0.0
06cdc000-06ce2000 r-xp 00000000 03:02 342762     /usr/lib/libfam.so.0.0.0
06ce2000-06ce3000 rwxp 00006000 03:02 342762     /usr/lib/libfam.so.0.0.0
06d15000-06d36000 r-xp 00000000 03:02 346057     /usr/lib/libaudiofile.so.0.0.2
06d36000-06d39000 rwxp 00020000 03:02 346057     /usr/lib/libaudiofile.so.0.0.2
06d3b000-06d44000 r-xp 00000000 03:02 346078     /usr/lib/libesd.so.0.2.35
06d44000-06d45000 rwxp 00009000 03:02 346078     /usr/lib/libesd.so.0.2.35
06f48000-0725b000 r-xp 00000000 03:02 342991     /usr/lib/libgtk-x11-2.0.so.0.70 0.0
0725b000-07283000 rwxp 00313000 03:02 342991     /usr/lib/libgtk-x11-2.0.so.0.70 0.0
07283000-07286000 rwxp 07283000 00:00 0
08048000-08065000 r-xp 00000000 03:02 364806     /usr/lib/thunderbird-1.0.2/thun
derbird-bin
08065000-08066000 rw-p 0001d000 03:02 364806     /usr/lib/thunderbird-1.0.2/thun
derbird-bin
08066000-08067000 rw-p 08066000 00:00 0
084e9000-09e8a000 rw-p 084e9000 00:00 0          [heap]
b1c7b000-b247d000 rw-p b1c7b000 00:00 0
b2800000-b2821000 rw-p b2800000 00:00 0
b2821000-b2900000 ---p b2821000 00:00 0
b2996000-b35a6000 r--s 00000000 03:02 669239     /usr/share/icons/hicolor/icon-t
heme.cache
b35a6000-b35ab000 r--s 00000000 03:02 489867     /usr/share/icons/gnome/icon-the
me.cache
b35ab000-b35c5000 r--s 00000000 03:02 2075373    /usr/share/icons/Bluecurve/icon
-theme.cache
b35c5000-b35c6000 r--s 00000000 03:02 1534641    /usr/share/icons/Clearlooks/ico
n-theme.cache
b3f86000-b3f87000 ---p b3f86000 00:00 0
b3f87000-b3fc7000 rw-p b3f87000 00:00 0
b3fc7000-b3fc8000 ---p b3fc7000 00:00 0
b3fc8000-b49c8000 rw-p b3fc8000 00:00 0
b49d6000-b49d7000 ---p b49d6000 00:00 0
b49d7000-b4a17000 rw-p b49d7000 00:00 0
b4a17000-b4a2a000 r--p 00000000 03:02 1550508    /usr/X11R6/lib/X11/fonts/Type1/
l047013t.pfa
b4a2a000-b4b15000 rw-p b4a2a000 00:00 0
b4b15000-b4b26000 r--p 00000000 03:02 1991106    /usr/share/fonts/bitstream-vera
/Vera.ttf
b4b26000-b4b4a000 r--p 00000000 03:02 1893404    /usr/share/fonts/default/Type1/
n021003l.pfb
b4b4a000-b4b4b000 ---p b4b4a000 00:00 0
b4b4b000-b554b000 rw-p b4b4b000 00:00 0
b554b000-b554c000 ---p b554b000 00:00 0
b554c000-b5f4c000 rw-p b554c000 00:00 0
b5f4c000-b5f4d000 ---p b5f4c000 00:00 0
b5f4d000-b694d000 rw-p b5f4d000 00:00 0
b694d000-b694e000 ---p b694d000 00:00 0
b694e000-b734e000 rw-p b694e000 00:00 0
b734e000-b734f000 ---p b734e000 00:00 0
b734f000-b7d4f000 rw-p b734f000 00:00 0
b7d4f000-b7f4f000 r--p 00000000 03:02 459846     /usr/lib/locale/locale-archive
b7f4f000-b7f58000 rw-p b7f4f000 00:00 0
b7f62000-b7f68000 rw-p b7f62000 00:00 0
b7f68000-b7f77000 r--p 00000000 03:02 1991230    /usr/share/fonts/bitstream-vera
/VeraBd.ttf
b7f77000-b7f78000 rw-p b7f77000 00:00 0
b7f78000-b7f7e000 r--s 00000000 03:02 555291     /usr/lib/gconv/gconv-modules.ca che
b7f7e000-b7f7f000 rw-p b7f7e000 00:00 0
bfb69000-bfb7f000 rw-p bfb69000 00:00 0          [stack]



Expected results:


Additional info:
Comment 1 Paul Hansen 2007-03-15 12:24:09 EDT
We just encountered a problem similar to this doing a grep -ri nztmpwatch * on
a large directory.  This is RHEL4.0 with glibc version 2.3.4-2.25.  We really
weren't doing anything exotic.  Both versions get to re_search before the 
symbols stop.

Here's the output:

[root@nps21090 src]# grep -ri nztmpwatch *
build/hostSetup.cfg:NEED_NZTMPWATCH=1
build/hostSetupHA.cfg:NEED_NZTMPWATCH=1
build/setup.sh:    nztmpwatch="/etc/cron.daily/nztmpwatch"
build/setup.sh:    if [ -z "$NEED_NZTMPWATCH" ]; then
build/setup.sh:        echo "Skipping install of $nztmpwatch for non-root 
install"
build/setup.sh:    if [ -f $nztmpwatch ]; then
build/setup.sh:        mv $nztmpwatch ${nztmpwatch}~
build/setup.sh:    cat >$nztmpwatch <<EOF
build/setup.sh:    chmod 755 $nztmpwatch
Binary file core.1173837235.492 matches
Binary file core.1173896878.27260 matches
Binary file core.1173896996.29567 matches
Binary file core.1173899385.6939 matches
*** glibc detected *** free(): invalid next size (fast): 0x09bccdc0 ***
Aborted (core dumped)
[root@nps21090 src]#


== Backtrace ==

GNU gdb Red Hat Linux (6.3.0.0-0.31rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".

Core was generated by `grep -ri nztmpwatch amake arch ati blast bnr bootpd 
build chk clientapp.amk com'.
Program terminated with signal 6, Aborted.
Reading symbols from /lib/libpcre.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.0
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x0038d7a2 in _dl_sysinfo_int80 ()
   from /lib/ld-linux.so.2
(gdb) bt
#0  0x0038d7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x003f57a5 in raise () from /lib/tls/libc.so.6
#2  0x003f7209 in abort () from /lib/tls/libc.so.6
#3  0x0042971a in __libc_message () from /lib/tls/libc.so.6
#4  0x0042ffbf in _int_free () from /lib/tls/libc.so.6
#5  0x0043033a in free () from /lib/tls/libc.so.6
#6  0x00477ce0 in re_search_internal () from /lib/tls/libc.so.6
#7  0x0047a1b3 in re_search_stub () from /lib/tls/libc.so.6
#8  0x0047a623 in re_search () from /lib/tls/libc.so.6
#9  0x080546df in ?? ()
#10 0x09bbe970 in ?? ()
#11 0xb7cfa3ce in ?? ()
#12 0x0000005d in ?? ()
#13 0x00000000 in ?? ()
(gdb)

I have another slightly different scenario using grep -ri nztmpwatch . that
gives a backtrace to realloc:

The command output:

[root@nps21090 src]# grep -ri nztmpwatch .
Binary file ./core.1173974428.1963 matches
Segmentation fault (core dumped)

== Backtrace ==

GNU gdb Red Hat Linux (6.3.0.0-0.31rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".

Core was generated by `grep -ri nztmpwatch .'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libpcre.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.0
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x00431993 in _int_realloc ()
   from /lib/tls/libc.so.6
(gdb) bt
#0  0x00431993 in _int_realloc () from /lib/tls/libc.so.6
#1  0x00432ad6 in realloc () from /lib/tls/libc.so.6
#2  0x0046f9f5 in extend_buffers () from /lib/tls/libc.so.6
#3  0x00478da7 in re_search_internal () from /lib/tls/libc.so.6
#4  0x0047a1b3 in re_search_stub () from /lib/tls/libc.so.6
#5  0x0047a623 in re_search () from /lib/tls/libc.so.6
#6  0x080546df in ?? ()
#7  0x08125970 in ?? ()
#8  0xb7d6a67b in ?? ()
#9  0x000000e1 in ?? ()
#10 0x00000000 in ?? ()
Comment 2 Paul Hansen 2007-03-15 15:25:05 EDT
Forgot to attach memory map for the two examples:

grep -ri nztmpwatch *

0038d000-003a2000 r-xp 00000000 68:02 1628932    /lib/ld-2.3.4.so
003a2000-003a3000 r--p 00015000 68:02 1628932    /lib/ld-2.3.4.so
003a3000-003a4000 rw-p 00016000 68:02 1628932    /lib/ld-2.3.4.so
003a6000-003b5000 r-xp 00000000 68:02 1628884    /lib/libpcre.so.0.0.1
003b5000-003b6000 rw-p 0000f000 68:02 1628884    /lib/libpcre.so.0.0.1
003ce000-004f3000 r-xp 00000000 68:02 1631579    /lib/tls/libc-2.3.4.so
004f3000-004f4000 r--p 00124000 68:02 1631579    /lib/tls/libc-2.3.4.so
004f4000-004f7000 rw-p 00125000 68:02 1631579    /lib/tls/libc-2.3.4.so
004f7000-004f9000 rw-p 004f7000 00:00 0
08048000-0805a000 r-xp 00000000 68:02 1221656    /bin/grep
0805a000-0805b000 rw-p 00012000 68:02 1221656    /bin/grep
0811a000-0815e000 rw-p 0811a000 00:00 0
b7d33000-b7d34000 rw-p b7d33000 00:00 0
b7d34000-b7d3a000 r--s 00000000 68:07 789103     /usr/lib/gconv/gconv-
modules.cache
b7d3a000-b7f3a000 r--p 00000000 68:07 788883     /usr/lib/locale/locale-archive
b7f3a000-b7f3c000 rw-p b7f3a000 00:00 0
bfe1f000-c0000000 rw-p bfe1f000 00:00 0
ffffe000-fffff000 ---p 00000000 00:00 0

grep -ri nztmpwatch .

0038d000-003a2000 r-xp 00000000 68:02 1628932    /lib/ld-2.3.4.so
003a2000-003a3000 r--p 00015000 68:02 1628932    /lib/ld-2.3.4.so
003a3000-003a4000 rw-p 00016000 68:02 1628932    /lib/ld-2.3.4.so
003a6000-003b5000 r-xp 00000000 68:02 1628884    /lib/libpcre.so.0.0.1
003b5000-003b6000 rw-p 0000f000 68:02 1628884    /lib/libpcre.so.0.0.1
003ce000-004f3000 r-xp 00000000 68:02 1631579    /lib/tls/libc-2.3.4.so
004f3000-004f4000 r--p 00124000 68:02 1631579    /lib/tls/libc-2.3.4.so
004f4000-004f7000 rw-p 00125000 68:02 1631579    /lib/tls/libc-2.3.4.so
004f7000-004f9000 rw-p 004f7000 00:00 0
08048000-0805a000 r-xp 00000000 68:02 1221656    /bin/grep
0805a000-0805b000 rw-p 00012000 68:02 1221656    /bin/grep
09129000-09157000 rw-p 09129000 00:00 0
b7c87000-b7cd9000 rw-p b7c87000 00:00 0
b7d02000-b7d03000 rw-p b7d02000 00:00 0
b7d25000-b7d2b000 r--s 00000000 68:07 789103     /usr/lib/gconv/gconv-
modules.cache
b7d2b000-b7f2b000 r--p 00000000 68:07 788883     /usr/lib/locale/locale-archive
b7f2b000-b7f2d000 rw-p b7f2b000 00:00 0
bfe3f000-c0000000 rw-p bfe3f000 00:00 0
ffffe000-fffff000 ---p 00000000 00:00 0


Comment 3 Christopher Aillon 2007-04-19 22:37:38 EDT
This was filed against a rawhide version of Thunderbird 1.x.  Thunderbird 2.x is
now in rawhide.  Can you please test to see if this bug still occurs?  If so,
please reopen.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.